2017年12月21日

WordPressBackWPup3.4.4を使用すると、エラーが発生しました。このときの対処方法をまとめました。

動作環境
・ローカル環境
・WordPress 4.9.1
・BackWPup3.4.4

ネットの情報では、phpバージョンの不整合という原因もありますが、ローカルで複数のWPサイトで試したところ、この環境だけNGでした。

ーーーエラーメッセージーーー
エラー:ジョブは34秒でエラー終了しました。エラーを解決する必要があります。


対処方法
1.WPのプラグインメニューから「BackWPup」を停止します。

2.「BackWPup」の停止を確認して、「削除」を行います。
3.「削除確認メッセージ」が表示されるので、「OK」ボタンを押します。

4.「BackWPup環境」が削除されたことをメッセージで確認します。
5.旧環境(正常に動作したバージョン)を準備します。
今回は、ローカル環境のフォルダをコピーして対応しました。
旧環境がない場合、下記の関連記事を参照。

関連記事:WordPressのプラグインをダウングレードする方法

6.プラグインメニューから、「有効化」を行います。(以下画面は有効化後です。)
新バージョンへの最新化「更新」はNGです。

7.「BackWPup」で、ジョブを作成します。(操作は割愛します。)

8.動作確認すると問題が解決できました。


BackWPupX.X.Xのバージョン最終桁(マイナーバージョン)が偶数のとき、障害・異常が頻発しているのでバージョンアップ時は要注意です!!